<template>
  <div class="sw-gs-waitingroom-page">
    <SwImage class="sw-gs-waitingroom-page-image" :src="require('../../assets/img/waitingroom.svg')" alt="waitingroom"/>

    <div class="sw-gs-waitingroom-page-text">
      <h1 class="sw-gs-waitingroom-page-header">
        {{ $t('The presentation has not started yet...') }} </h1>
    </div>

    <div class="sw-gs-attendee-information-wrapper">
      <SwGsAttendeeNameForm v-if="(
        attendeeRestrictionType === 'open' && !isLoggedIn && showNameInput) || 
        (attendeeRestrictionType === 'customer' && showNameInput)
      "/>
    </div>
  </div>
</template>

<script>
  import SwImage from "@/components/atoms/SwImage.vue"
  import SwGsAttendeeNameForm from "../SwGsAttendeeNameForm.vue"
  import { useUser } from "@shopware-pwa/composables"
  import { useState } from "../../logic/composables/useState";
  import {computed} from '@vue/composition-api';

  export default {
    name: "SwGsWaitingroomPage",
    components: {
      SwImage,
      SwGsAttendeeNameForm,
    },
    props: {
      showNameInput: {
        type: Boolean,
        default: true,
      }
    },
    setup() {
      const { isLoggedIn } = useUser();
      const { stateForAll } = useState();

      return {
        isLoggedIn,
        attendeeRestrictionType: computed(() => stateForAll.value?.attendeeRestrictionType),
      }
    }
  }
</script>

<style lang="scss" scoped>
  @import "@/assets/scss/variables";

  $desktop: 1024px;

  @mixin for-desktop {
    @media screen and (min-width: $desktop) {
      @content;
    }
  }

  .sw-gs-attendee-information-wrapper {
    position: relative;
  }

  .sw-gs-waitingroom-page {
    position: relative;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin: var(--spacer-xl) auto;
    padding: 0 var(--spacer-base);

    @include for-desktop {
      max-width: 1240px;
      margin: 100px auto;
    }
  }

  .sw-gs-waitingroom-page-image {
    ::v-deep .sf-image {
      max-width: 100%;
    }
  }

  .sw-gs-waitingroom-page-header {
    margin-top: var(--spacer-xl);
  }


  .sw-gs-waitingroom-page-text {
    text-align: center;
  }
</style>
